Bug 1289267 - Mitaka: keystone.py is deprecated for WSGI implementation
Mitaka: keystone.py is deprecated for WSGI implementation
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-keystone (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Alan Pevec
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 14:21 EST by David Moreau Simard
Modified: 2016-05-19 11:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:54:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1523642 None None None Never

  None (edit)
Description David Moreau Simard 2015-12-07 14:21:00 EST
Found through CI - there are logs about keystone.py being deprecated in Mitaka. We should adjust packaging.

https://github.com/openstack-packages/keystone/blob/0dd5bdb2355230ffbd15222113adaece1a52aa02/openstack-keystone.spec#L170-L172

logs/keystone_wsgi_main_error.log-20151206:[Sat Dec 05 15:53:36.125097 2015] [:error] [pid 15466] 2015-12-05 15:53:36.124 15466 WARNING _mod_wsgi_76ce607bcf3310bd8c9d1d17977cd24e [-] Deprecated: httpd/keystone.py is deprecated as of Mitaka in favor of keystone-wsgi-admin and keystone-wsgi-public and may be removed in O.
Comment 1 David Moreau Simard 2015-12-07 14:28:58 EST
Added puppet-keystone related bug just for cross-referencing
Comment 3 Chandan Kumar 2016-05-19 11:54:21 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.